import java.io.*; 
import java.util.List; 
import java.util.Vector; 

public class F2PTestGen 
{ public static final int dim = 50000;
  // Number of entities = dim, attributes = dim*dim

  public static void main(String[] args)
  { File file = new File("./test7delta.txt");
    try
    { PrintWriter out = new PrintWriter(
                              new BufferedWriter(
                                   new FileWriter(file)));
      writeModel(out); 
      out.close();
    }
    catch (IOException ex)
    { System.out.println("Error generating test"); } 
  } 

  public static void writeModel(PrintWriter out)
  { for (int i = 0; i < dim; i++)
    { String cname = "pers_" + i;
      out.println(cname  + " : FamilyMember");
      out.println(cname + ".name = \"" + cname + "\"");
      out.println(cname + ".memberId = \"" + cname + "\"");
      out.println(cname + " : familyx_0.sons"); 
    } 
  }
}