import java.io.*; 
import java.util.List; 
import java.util.Vector; 

public class P2FTestGen 
{ public static final int dim = 10000;
 
  public static void main(String[] args)
  { File file = new File("./test3delta.txt");
    try
    { PrintWriter out = new PrintWriter(
                              new BufferedWriter(
                                   new FileWriter(file)));
      writeModel(out); 
      out.close();
    }
    catch (IOException ex)
    { System.out.println("Error generating test"); } 
  } 

  public static void writeModel(PrintWriter out)
  { for (int i = 0; i < dim; i++)
    { String cname = "pers_" + i;
      out.println(cname  + " : Female");
      out.println(cname + ".name = \"" + cname + ", " + cname + "\"");
      out.println(cname + ".personId = \"" + cname + "\"");
      out.println(cname + ".familyId = \"" + i + "\""); 
    } 
  }
}