import java.util.List;
import java.util.Date;
import java.util.Map;
import java.util.HashMap;
import java.util.Vector;

import java.lang.*;
import java.lang.reflect.*;
import java.util.StringTokenizer;
import java.io.*;



class FamilyRegister
  implements SystemTypes
{
  private List families = new Vector(); // of Family

  public FamilyRegister()
  {

  }



  public String toString()
  { String _res_ = "(FamilyRegister) ";
    return _res_;
  }

  public static FamilyRegister parseCSV(String _line)
  { if (_line == null) { return null; }
    Vector _line1vals = new Vector();
    StringTokenizer _st1 =
      new StringTokenizer(_line, ",");
    while (_st1.hasMoreTokens())
    { String _str = _st1.nextToken();
      if (_str != null) 
      { _line1vals.add(_str.trim()); }
    }
    FamilyRegister familyregisterx = new FamilyRegister();
    return familyregisterx;
  }


  public void writeCSV(PrintWriter _out)
  { FamilyRegister familyregisterx = this;
    _out.println();
  }


  public void setfamilies(List families_xx) { families = families_xx;
    }
 
  public void addfamilies(Family families_xx) { if (families.contains(families_xx)) {} else { families.add(families_xx); }
    }
 
  public void removefamilies(Family families_xx) { Vector _removedfamiliesfamilies_xx = new Vector();
  _removedfamiliesfamilies_xx.add(families_xx);
  families.removeAll(_removedfamiliesfamilies_xx);
    }

  public static void setAllfamilies(List familyregisters, List _val)
  { for (int _i = 0; _i < familyregisters.size(); _i++)
    { FamilyRegister familyregisterx = (FamilyRegister) familyregisters.get(_i);
      Controller.inst().setfamilies(familyregisterx, _val); } }

  public static void addAllfamilies(List familyregisters, Family _val)
  { for (int _i = 0; _i < familyregisters.size(); _i++)
    { FamilyRegister familyregisterx = (FamilyRegister) familyregisters.get(_i);
      Controller.inst().addfamilies(familyregisterx,  _val); } }


  public static void removeAllfamilies(List familyregisters,Family _val)
  { for (int _i = 0; _i < familyregisters.size(); _i++)
    { FamilyRegister familyregisterx = (FamilyRegister) familyregisters.get(_i);
      Controller.inst().removefamilies(familyregisterx, _val); } }


  public static void unionAllfamilies(List familyregisters, List _val)
  { for (int _i = 0; _i < familyregisters.size(); _i++)
    { FamilyRegister familyregisterx = (FamilyRegister) familyregisters.get(_i);
      Controller.inst().unionfamilies(familyregisterx, _val); } }


  public static void subtractAllfamilies(List familyregisters,  List _val)
  { for (int _i = 0; _i < familyregisters.size(); _i++)
    { FamilyRegister familyregisterx = (FamilyRegister) familyregisters.get(_i);
      Controller.inst().subtractfamilies(familyregisterx,  _val); } }


  public List getfamilies() { return (Vector) ((Vector) families).clone(); }

  public static List getAllfamilies(List familyregisters)
  { List result = new Vector();
    for (int _i = 0; _i < familyregisters.size(); _i++)
    { FamilyRegister familyregisterx = (FamilyRegister) familyregisters.get(_i);
      result = Set.union(result, familyregisterx.getfamilies()); }
    return result; }

  public static List getAllOrderedfamilies(List familyregisters)
  { List result = new Vector();
    for (int _i = 0; _i < familyregisters.size(); _i++)
    { FamilyRegister familyregisterx = (FamilyRegister) familyregisters.get(_i);
      result = Set.union(result, familyregisterx.getfamilies()); }
    return result; }

    public void family2person3()
  { PersonRegister pr = new PersonRegister();
    Controller.inst().addPersonRegister(pr);
    Controller.inst().setpersons(pr,Controller.inst().persons);
  }


}


class Family
  implements SystemTypes
{
  private String name = ""; // internal
  private String id = ""; // internal
  private List mother = new Vector(); // of FamilyMember
  private List father = new Vector(); // of FamilyMember
  private List sons = new Vector(); // of FamilyMember
  private List daughters = new Vector(); // of FamilyMember

  public Family()
  {
    this.name = "";
    this.id = "";

  }



  public String toString()
  { String _res_ = "(Family) ";
    _res_ = _res_ + name + ",";
    _res_ = _res_ + id;
    return _res_;
  }

  public static Family parseCSV(String _line)
  { if (_line == null) { return null; }
    Vector _line1vals = new Vector();
    StringTokenizer _st1 =
      new StringTokenizer(_line, ",");
    while (_st1.hasMoreTokens())
    { String _str = _st1.nextToken();
      if (_str != null) 
      { _line1vals.add(_str.trim()); }
    }
    Family familyx = new Family();
    familyx.name = (String) _line1vals.get(0);
    familyx.id = (String) _line1vals.get(1);
      Controller.inst().familyidindex.put(familyx.getid(), familyx);
    return familyx;
  }


  public void writeCSV(PrintWriter _out)
  { Family familyx = this;
    _out.print("" + familyx.name);
    _out.print(" , ");
    _out.print("" + familyx.id);
    _out.println();
  }


  public void setname(String name_x) { name = name_x;  }


    public static void setAllname(List familys,String val)
  { for (int i = 0; i < familys.size(); i++)
    { Family familyx = (Family) familys.get(i);
      Controller.inst().setname(familyx,val); } }


  public void setid(String id_x) { id = id_x;  }


    public static void setAllid(List familys,String val)
  { for (int i = 0; i < familys.size(); i++)
    { Family familyx = (Family) familys.get(i);
      Controller.inst().setid(familyx,val); } }


  public void setmother(List mother_xx) { if (mother_xx.size() > 1) { return; } 
    mother = mother_xx;
  }
 
  public void addmother(FamilyMember mother_xx) { if (mother.size() > 0) { mother.clear(); } 
    if (mother.contains(mother_xx)) {} else { mother.add(mother_xx); }
    }
 
  public void removemother(FamilyMember mother_xx) { Vector _removedmothermother_xx = new Vector();
  _removedmothermother_xx.add(mother_xx);
  mother.removeAll(_removedmothermother_xx);
    }

  public static void setAllmother(List familys, List _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().setmother(familyx, _val); } }

  public static void addAllmother(List familys, FamilyMember _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().addmother(familyx,  _val); } }


  public static void removeAllmother(List familys,FamilyMember _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().removemother(familyx, _val); } }


  public static void unionAllmother(List familys, List _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().unionmother(familyx, _val); } }


  public static void subtractAllmother(List familys,  List _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().subtractmother(familyx,  _val); } }


  public void setfather(List father_xx) { if (father_xx.size() > 1) { return; } 
    father = father_xx;
  }
 
  public void addfather(FamilyMember father_xx) { if (father.size() > 0) { father.clear(); } 
    if (father.contains(father_xx)) {} else { father.add(father_xx); }
    }
 
  public void removefather(FamilyMember father_xx) { Vector _removedfatherfather_xx = new Vector();
  _removedfatherfather_xx.add(father_xx);
  father.removeAll(_removedfatherfather_xx);
    }

  public static void setAllfather(List familys, List _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().setfather(familyx, _val); } }

  public static void addAllfather(List familys, FamilyMember _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().addfather(familyx,  _val); } }


  public static void removeAllfather(List familys,FamilyMember _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().removefather(familyx, _val); } }


  public static void unionAllfather(List familys, List _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().unionfather(familyx, _val); } }


  public static void subtractAllfather(List familys,  List _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().subtractfather(familyx,  _val); } }


  public void setsons(List sons_xx) { sons = sons_xx;
    }
 
  public void addsons(FamilyMember sons_xx) { if (sons.contains(sons_xx)) {} else { sons.add(sons_xx); }
    }
 
  public void removesons(FamilyMember sons_xx) { Vector _removedsonssons_xx = new Vector();
  _removedsonssons_xx.add(sons_xx);
  sons.removeAll(_removedsonssons_xx);
    }

  public static void setAllsons(List familys, List _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().setsons(familyx, _val); } }

  public static void addAllsons(List familys, FamilyMember _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().addsons(familyx,  _val); } }


  public static void removeAllsons(List familys,FamilyMember _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().removesons(familyx, _val); } }


  public static void unionAllsons(List familys, List _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().unionsons(familyx, _val); } }


  public static void subtractAllsons(List familys,  List _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().subtractsons(familyx,  _val); } }


  public void setdaughters(List daughters_xx) { daughters = daughters_xx;
    }
 
  public void adddaughters(FamilyMember daughters_xx) { if (daughters.contains(daughters_xx)) {} else { daughters.add(daughters_xx); }
    }
 
  public void removedaughters(FamilyMember daughters_xx) { Vector _removeddaughtersdaughters_xx = new Vector();
  _removeddaughtersdaughters_xx.add(daughters_xx);
  daughters.removeAll(_removeddaughtersdaughters_xx);
    }

  public static void setAlldaughters(List familys, List _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().setdaughters(familyx, _val); } }

  public static void addAlldaughters(List familys, FamilyMember _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().adddaughters(familyx,  _val); } }


  public static void removeAlldaughters(List familys,FamilyMember _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().removedaughters(familyx, _val); } }


  public static void unionAlldaughters(List familys, List _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().uniondaughters(familyx, _val); } }


  public static void subtractAlldaughters(List familys,  List _val)
  { for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      Controller.inst().subtractdaughters(familyx,  _val); } }


    public String getname() { return name; }

    public static List getAllname(List familys)
  { List result = new Vector();
    for (int i = 0; i < familys.size(); i++)
    { Family familyx = (Family) familys.get(i);
      if (result.contains(familyx.getname())) { }
      else { result.add(familyx.getname()); } }
    return result; }

    public static List getAllOrderedname(List familys)
  { List result = new Vector();
    for (int i = 0; i < familys.size(); i++)
    { Family familyx = (Family) familys.get(i);
      result.add(familyx.getname()); } 
    return result; }

    public String getid() { return id; }

    public static List getAllid(List familys)
  { List result = new Vector();
    for (int i = 0; i < familys.size(); i++)
    { Family familyx = (Family) familys.get(i);
      if (result.contains(familyx.getid())) { }
      else { result.add(familyx.getid()); } }
    return result; }

    public static List getAllOrderedid(List familys)
  { List result = new Vector();
    for (int i = 0; i < familys.size(); i++)
    { Family familyx = (Family) familys.get(i);
      result.add(familyx.getid()); } 
    return result; }

  public List getmother() { return (Vector) ((Vector) mother).clone(); }

  public static List getAllmother(List familys)
  { List result = new Vector();
    for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      result = Set.union(result, familyx.getmother()); }
    return result; }

  public static List getAllOrderedmother(List familys)
  { List result = new Vector();
    for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      result = Set.union(result, familyx.getmother()); }
    return result; }

  public List getfather() { return (Vector) ((Vector) father).clone(); }

  public static List getAllfather(List familys)
  { List result = new Vector();
    for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      result = Set.union(result, familyx.getfather()); }
    return result; }

  public static List getAllOrderedfather(List familys)
  { List result = new Vector();
    for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      result = Set.union(result, familyx.getfather()); }
    return result; }

  public List getsons() { return (Vector) ((Vector) sons).clone(); }

  public static List getAllsons(List familys)
  { List result = new Vector();
    for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      result = Set.union(result, familyx.getsons()); }
    return result; }

  public static List getAllOrderedsons(List familys)
  { List result = new Vector();
    for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      result = Set.union(result, familyx.getsons()); }
    return result; }

  public List getdaughters() { return (Vector) ((Vector) daughters).clone(); }

  public static List getAlldaughters(List familys)
  { List result = new Vector();
    for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      result = Set.union(result, familyx.getdaughters()); }
    return result; }

  public static List getAllOrdereddaughters(List familys)
  { List result = new Vector();
    for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx = (Family) familys.get(_i);
      result = Set.union(result, familyx.getdaughters()); }
    return result; }

    public void family2person1(FamilyMember m)
  {   if (Controller.inst().getFemaleByPK(m.getmemberId()) != null)
    { Female f = Controller.inst().getFemaleByPK(m.getmemberId());
     Controller.inst().setfamilyId(f,this.getid());
    Controller.inst().setname(f,this.getname() + ", " + m.getname());
  }
    else
    { Female f = new Female();
    Controller.inst().addFemale(f);
    Controller.inst().setpersonId(f,m.getmemberId());
    Controller.inst().setfamilyId(f,this.getid());
    Controller.inst().setname(f,this.getname() + ", " + m.getname()); }

  }

    public void family2person1outer()
  {  Family familyx = this;
    List _range9 = new Vector();
  _range9.addAll(Set.union(familyx.getmother(),familyx.getdaughters()));
  for (int _i8 = 0; _i8 < _range9.size(); _i8++)
  { FamilyMember m = (FamilyMember) _range9.get(_i8);
       this.family2person1(m);
  }
  }


    public void family2person2(FamilyMember m)
  {   if (Controller.inst().getMaleByPK(m.getmemberId()) != null)
    { Male f = Controller.inst().getMaleByPK(m.getmemberId());
     Controller.inst().setfamilyId(f,this.getid());
    Controller.inst().setname(f,this.getname() + ", " + m.getname());
  }
    else
    { Male f = new Male();
    Controller.inst().addMale(f);
    Controller.inst().setpersonId(f,m.getmemberId());
    Controller.inst().setfamilyId(f,this.getid());
    Controller.inst().setname(f,this.getname() + ", " + m.getname()); }

  }

    public void family2person2outer()
  {  Family familyx = this;
    List _range11 = new Vector();
  _range11.addAll(Set.union(familyx.getfather(),familyx.getsons()));
  for (int _i10 = 0; _i10 < _range11.size(); _i10++)
  { FamilyMember m = (FamilyMember) _range11.get(_i10);
       this.family2person2(m);
  }
  }



}


class FamilyMember
  implements SystemTypes
{
  private String name = ""; // internal
  private String memberId = ""; // internal

  public FamilyMember()
  {
    this.name = "";
    this.memberId = "";

  }



  public String toString()
  { String _res_ = "(FamilyMember) ";
    _res_ = _res_ + name + ",";
    _res_ = _res_ + memberId;
    return _res_;
  }

  public static FamilyMember parseCSV(String _line)
  { if (_line == null) { return null; }
    Vector _line1vals = new Vector();
    StringTokenizer _st1 =
      new StringTokenizer(_line, ",");
    while (_st1.hasMoreTokens())
    { String _str = _st1.nextToken();
      if (_str != null) 
      { _line1vals.add(_str.trim()); }
    }
    FamilyMember familymemberx = new FamilyMember();
    familymemberx.name = (String) _line1vals.get(0);
    familymemberx.memberId = (String) _line1vals.get(1);
      Controller.inst().familymembermemberIdindex.put(familymemberx.getmemberId(), familymemberx);
    return familymemberx;
  }


  public void writeCSV(PrintWriter _out)
  { FamilyMember familymemberx = this;
    _out.print("" + familymemberx.name);
    _out.print(" , ");
    _out.print("" + familymemberx.memberId);
    _out.println();
  }


  public void setname(String name_x) { name = name_x;  }


    public static void setAllname(List familymembers,String val)
  { for (int i = 0; i < familymembers.size(); i++)
    { FamilyMember familymemberx = (FamilyMember) familymembers.get(i);
      Controller.inst().setname(familymemberx,val); } }


  public void setmemberId(String memberId_x) { memberId = memberId_x;  }


    public static void setAllmemberId(List familymembers,String val)
  { for (int i = 0; i < familymembers.size(); i++)
    { FamilyMember familymemberx = (FamilyMember) familymembers.get(i);
      Controller.inst().setmemberId(familymemberx,val); } }


    public String getname() { return name; }

    public static List getAllname(List familymembers)
  { List result = new Vector();
    for (int i = 0; i < familymembers.size(); i++)
    { FamilyMember familymemberx = (FamilyMember) familymembers.get(i);
      if (result.contains(familymemberx.getname())) { }
      else { result.add(familymemberx.getname()); } }
    return result; }

    public static List getAllOrderedname(List familymembers)
  { List result = new Vector();
    for (int i = 0; i < familymembers.size(); i++)
    { FamilyMember familymemberx = (FamilyMember) familymembers.get(i);
      result.add(familymemberx.getname()); } 
    return result; }

    public String getmemberId() { return memberId; }

    public static List getAllmemberId(List familymembers)
  { List result = new Vector();
    for (int i = 0; i < familymembers.size(); i++)
    { FamilyMember familymemberx = (FamilyMember) familymembers.get(i);
      if (result.contains(familymemberx.getmemberId())) { }
      else { result.add(familymemberx.getmemberId()); } }
    return result; }

    public static List getAllOrderedmemberId(List familymembers)
  { List result = new Vector();
    for (int i = 0; i < familymembers.size(); i++)
    { FamilyMember familymemberx = (FamilyMember) familymembers.get(i);
      result.add(familymemberx.getmemberId()); } 
    return result; }


}


class PersonRegister
  implements SystemTypes
{
  private List persons = new Vector(); // of Person

  public PersonRegister()
  {

  }



  public String toString()
  { String _res_ = "(PersonRegister) ";
    return _res_;
  }

  public static PersonRegister parseCSV(String _line)
  { if (_line == null) { return null; }
    Vector _line1vals = new Vector();
    StringTokenizer _st1 =
      new StringTokenizer(_line, ",");
    while (_st1.hasMoreTokens())
    { String _str = _st1.nextToken();
      if (_str != null) 
      { _line1vals.add(_str.trim()); }
    }
    PersonRegister personregisterx = new PersonRegister();
    return personregisterx;
  }


  public void writeCSV(PrintWriter _out)
  { PersonRegister personregisterx = this;
    _out.println();
  }


  public void setpersons(List persons_xx) { persons = persons_xx;
    }
 
  public void addpersons(Person persons_xx) { if (persons.contains(persons_xx)) {} else { persons.add(persons_xx); }
    }
 
  public void removepersons(Person persons_xx) { Vector _removedpersonspersons_xx = new Vector();
  _removedpersonspersons_xx.add(persons_xx);
  persons.removeAll(_removedpersonspersons_xx);
    }

  public static void setAllpersons(List personregisters, List _val)
  { for (int _i = 0; _i < personregisters.size(); _i++)
    { PersonRegister personregisterx = (PersonRegister) personregisters.get(_i);
      Controller.inst().setpersons(personregisterx, _val); } }

  public static void addAllpersons(List personregisters, Person _val)
  { for (int _i = 0; _i < personregisters.size(); _i++)
    { PersonRegister personregisterx = (PersonRegister) personregisters.get(_i);
      Controller.inst().addpersons(personregisterx,  _val); } }


  public static void removeAllpersons(List personregisters,Person _val)
  { for (int _i = 0; _i < personregisters.size(); _i++)
    { PersonRegister personregisterx = (PersonRegister) personregisters.get(_i);
      Controller.inst().removepersons(personregisterx, _val); } }


  public static void unionAllpersons(List personregisters, List _val)
  { for (int _i = 0; _i < personregisters.size(); _i++)
    { PersonRegister personregisterx = (PersonRegister) personregisters.get(_i);
      Controller.inst().unionpersons(personregisterx, _val); } }


  public static void subtractAllpersons(List personregisters,  List _val)
  { for (int _i = 0; _i < personregisters.size(); _i++)
    { PersonRegister personregisterx = (PersonRegister) personregisters.get(_i);
      Controller.inst().subtractpersons(personregisterx,  _val); } }


  public List getpersons() { return (Vector) ((Vector) persons).clone(); }

  public static List getAllpersons(List personregisters)
  { List result = new Vector();
    for (int _i = 0; _i < personregisters.size(); _i++)
    { PersonRegister personregisterx = (PersonRegister) personregisters.get(_i);
      result = Set.union(result, personregisterx.getpersons()); }
    return result; }

  public static List getAllOrderedpersons(List personregisters)
  { List result = new Vector();
    for (int _i = 0; _i < personregisters.size(); _i++)
    { PersonRegister personregisterx = (PersonRegister) personregisters.get(_i);
      result = Set.union(result, personregisterx.getpersons()); }
    return result; }

    public void person2family5()
  { FamilyRegister fr = new FamilyRegister();
    Controller.inst().addFamilyRegister(fr);
    Controller.inst().setfamilies(fr,Controller.inst().familys);
  }


}


abstract class Person
  implements SystemTypes
{
  protected String name = ""; // internal
  protected String familyId = ""; // internal
  protected int birthday = 0; // internal
  protected String personId = ""; // internal

  public Person()
  {
    this.name = "";
    this.familyId = "";
    this.birthday = 0;
    this.personId = "";

  }



  public String toString()
  { String _res_ = "(Person) ";
    _res_ = _res_ + name + ",";
    _res_ = _res_ + familyId + ",";
    _res_ = _res_ + birthday + ",";
    _res_ = _res_ + personId;
    return _res_;
  }



  public void setname(String name_x) { name = name_x;  }


    public static void setAllname(List persons,String val)
  { for (int i = 0; i < persons.size(); i++)
    { Person personx = (Person) persons.get(i);
      Controller.inst().setname(personx,val); } }


  public void setfamilyId(String familyId_x) { familyId = familyId_x;  }


    public static void setAllfamilyId(List persons,String val)
  { for (int i = 0; i < persons.size(); i++)
    { Person personx = (Person) persons.get(i);
      Controller.inst().setfamilyId(personx,val); } }


  public void setbirthday(int birthday_x) { birthday = birthday_x;  }


    public static void setAllbirthday(List persons,int val)
  { for (int i = 0; i < persons.size(); i++)
    { Person personx = (Person) persons.get(i);
      Controller.inst().setbirthday(personx,val); } }


  public void setpersonId(String personId_x) { personId = personId_x;  }


    public static void setAllpersonId(List persons,String val)
  { for (int i = 0; i < persons.size(); i++)
    { Person personx = (Person) persons.get(i);
      Controller.inst().setpersonId(personx,val); } }


    public String getname() { return name; }

    public static List getAllname(List persons)
  { List result = new Vector();
    for (int i = 0; i < persons.size(); i++)
    { Person personx = (Person) persons.get(i);
      if (result.contains(personx.getname())) { }
      else { result.add(personx.getname()); } }
    return result; }

    public static List getAllOrderedname(List persons)
  { List result = new Vector();
    for (int i = 0; i < persons.size(); i++)
    { Person personx = (Person) persons.get(i);
      result.add(personx.getname()); } 
    return result; }

    public String getfamilyId() { return familyId; }

    public static List getAllfamilyId(List persons)
  { List result = new Vector();
    for (int i = 0; i < persons.size(); i++)
    { Person personx = (Person) persons.get(i);
      if (result.contains(personx.getfamilyId())) { }
      else { result.add(personx.getfamilyId()); } }
    return result; }

    public static List getAllOrderedfamilyId(List persons)
  { List result = new Vector();
    for (int i = 0; i < persons.size(); i++)
    { Person personx = (Person) persons.get(i);
      result.add(personx.getfamilyId()); } 
    return result; }

    public int getbirthday() { return birthday; }

    public static List getAllbirthday(List persons)
  { List result = new Vector();
    for (int i = 0; i < persons.size(); i++)
    { Person personx = (Person) persons.get(i);
      if (result.contains(new Integer(personx.getbirthday()))) { }
      else { result.add(new Integer(personx.getbirthday())); } }
    return result; }

    public static List getAllOrderedbirthday(List persons)
  { List result = new Vector();
    for (int i = 0; i < persons.size(); i++)
    { Person personx = (Person) persons.get(i);
      result.add(new Integer(personx.getbirthday())); } 
    return result; }

    public String getpersonId() { return personId; }

    public static List getAllpersonId(List persons)
  { List result = new Vector();
    for (int i = 0; i < persons.size(); i++)
    { Person personx = (Person) persons.get(i);
      if (result.contains(personx.getpersonId())) { }
      else { result.add(personx.getpersonId()); } }
    return result; }

    public static List getAllOrderedpersonId(List persons)
  { List result = new Vector();
    for (int i = 0; i < persons.size(); i++)
    { Person personx = (Person) persons.get(i);
      result.add(personx.getpersonId()); } 
    return result; }


}


class Male
  extends Person
  implements SystemTypes
{

  public Male()
  {

  }



  public String toString()
  { String _res_ = "(Male) ";
    return _res_ + super.toString();
  }

  public static Male parseCSV(String _line)
  { if (_line == null) { return null; }
    Vector _line1vals = new Vector();
    StringTokenizer _st1 =
      new StringTokenizer(_line, ",");
    while (_st1.hasMoreTokens())
    { String _str = _st1.nextToken();
      if (_str != null) 
      { _line1vals.add(_str.trim()); }
    }
    Male malex = new Male();
    return malex;
  }


  public void writeCSV(PrintWriter _out)
  { Male malex = this;
    _out.println();
  }


    public void person2family3()
  {   if (Controller.inst().getFamilyByPK(this.getfamilyId()) != null)
    { Family fam = Controller.inst().getFamilyByPK(this.getfamilyId());
     Controller.inst().setname(fam,StringLib.before(this.getname(),", "));
  }
    else
    { Family fam = new Family();
    Controller.inst().addFamily(fam);
    Controller.inst().setid(fam,this.getfamilyId());
    Controller.inst().setname(fam,StringLib.before(this.getname(),", ")); }

  }

    public void person2family4(Family fam)
  {     List pre_father12 = new Vector();
    pre_father12.addAll(fam.getfather());
  if (Controller.inst().getFamilyMemberByPK(this.getpersonId()) != null)
    { FamilyMember m = Controller.inst().getFamilyMemberByPK(this.getpersonId());
     Controller.inst().setname(m,StringLib.after(this.getname(),", "));
      if (pre_father12.size() == 0) 
  { Controller.inst().addfather(fam,m);}
      if (pre_father12.size() > 0) 
  { Controller.inst().addsons(fam,m);}
  }
    else
    { FamilyMember m = new FamilyMember();
    Controller.inst().addFamilyMember(m);
    Controller.inst().setmemberId(m,this.getpersonId());
    Controller.inst().setname(m,StringLib.after(this.getname(),", "));
      if (pre_father12.size() == 0) 
  { Controller.inst().addfather(fam,m);}
      if (pre_father12.size() > 0) 
  { Controller.inst().addsons(fam,m);} }

  }

    public void person2family4outer()
  {  Male malex = this;
    Family fam = Controller.inst().getFamilyByPK(malex.getfamilyId());
     this.person2family4(fam);

  }



}


class Female
  extends Person
  implements SystemTypes
{

  public Female()
  {

  }



  public String toString()
  { String _res_ = "(Female) ";
    return _res_ + super.toString();
  }

  public static Female parseCSV(String _line)
  { if (_line == null) { return null; }
    Vector _line1vals = new Vector();
    StringTokenizer _st1 =
      new StringTokenizer(_line, ",");
    while (_st1.hasMoreTokens())
    { String _str = _st1.nextToken();
      if (_str != null) 
      { _line1vals.add(_str.trim()); }
    }
    Female femalex = new Female();
    return femalex;
  }


  public void writeCSV(PrintWriter _out)
  { Female femalex = this;
    _out.println();
  }


    public void person2family1()
  {   if (Controller.inst().getFamilyByPK(this.getfamilyId()) != null)
    { Family fam = Controller.inst().getFamilyByPK(this.getfamilyId());
     Controller.inst().setname(fam,StringLib.before(this.getname(),", "));
  }
    else
    { Family fam = new Family();
    Controller.inst().addFamily(fam);
    Controller.inst().setid(fam,this.getfamilyId());
    Controller.inst().setname(fam,StringLib.before(this.getname(),", ")); }

  }

    public void person2family2(Family fam)
  {     List pre_mother13 = new Vector();
    pre_mother13.addAll(fam.getmother());
  if (Controller.inst().getFamilyMemberByPK(this.getpersonId()) != null)
    { FamilyMember m = Controller.inst().getFamilyMemberByPK(this.getpersonId());
     Controller.inst().setname(m,StringLib.after(this.getname(),", "));
      if (pre_mother13.size() == 0) 
  { Controller.inst().addmother(fam,m);}
      if (pre_mother13.size() > 0) 
  { Controller.inst().adddaughters(fam,m);}
  }
    else
    { FamilyMember m = new FamilyMember();
    Controller.inst().addFamilyMember(m);
    Controller.inst().setmemberId(m,this.getpersonId());
    Controller.inst().setname(m,StringLib.after(this.getname(),", "));
      if (pre_mother13.size() == 0) 
  { Controller.inst().addmother(fam,m);}
      if (pre_mother13.size() > 0) 
  { Controller.inst().adddaughters(fam,m);} }

  }

    public void person2family2outer()
  {  Female femalex = this;
    Family fam = Controller.inst().getFamilyByPK(femalex.getfamilyId());
     this.person2family2(fam);

  }



}


class StringLib
  implements SystemTypes
{

  public StringLib()
  {

  }



  public String toString()
  { String _res_ = "(StringLib) ";
    return _res_;
  }

  public static StringLib parseCSV(String _line)
  { if (_line == null) { return null; }
    Vector _line1vals = new Vector();
    StringTokenizer _st1 =
      new StringTokenizer(_line, ",");
    while (_st1.hasMoreTokens())
    { String _str = _st1.nextToken();
      if (_str != null) 
      { _line1vals.add(_str.trim()); }
    }
    StringLib stringlibx = new StringLib();
    return stringlibx;
  }


  public void writeCSV(PrintWriter _out)
  { StringLib stringlibx = this;
    _out.println();
  }


    public static String before(String str,String delim)
  {   String result = "";
 
  int i = ( str.indexOf(delim) + 1 ); 
     if (i > 0) 
  {   result = Set.subrange(str,1,i - 1);
 
  }  else
      if (i <= 0) 
  {   result = str;
 
  }          return result;
  }


    public static String after(String str,String delim)
  {   String result = "";
 
  int i = ( str.indexOf(delim) + 1 ); 
     if (i > 0) 
  {   result = Set.subrange(str,i + delim.length(),str.length());
 
  }  else
      if (i <= 0) 
  {   result = str;
 
  }          return result;
  }


    public static boolean equalsIgnoreCase(String s1,String s2)
  {   boolean result = false;
 
  String str1 = s1.toLowerCase(); 
     String str2 = s2.toLowerCase(); 
     if (str1.equals(str2)) 
  {   result = true;
 
  }  else
      if (!(str1.equals(str2))) 
  {   result = false;
 
  }             return result;
  }


    public static int lastIndexOf(String s,String d)
  {   int result = 0;
 
  String r = Set.reverse(s); 
     int i = ( r.indexOf(d) + 1 ); 
     result = s.length() - i + 1;
          return result;
  }


    public static List split(String str,String delim)
  {  List result;
  List res = (new SystemTypes.Set()).getElements();
    int i;
  i = ( str.indexOf(delim) + 1 );
    while (i > 0) 
  { res = Set.concatenate(res,(new Set()).add(Set.subrange(str,1,i - 1)).getElements());
  str = Set.subrange(str,i + delim.length(),str.length());
  i = ( str.indexOf(delim) + 1 );

 }
  res = Set.concatenate(res,(new Set()).add(str).getElements());
    return res;





  }


    public static String replace(String str,String delim,String s2)
  {  String result;
  String res;
  res = "";
    int i;
  i = ( str.indexOf(delim) + 1 );
    while (i > 0) 
  { res = res + Set.subrange(str,1,i - 1) + s2;
  str = Set.subrange(str,i + delim.length(),str.length());
  i = ( str.indexOf(delim) + 1 );

 }
  res = res + str;
    return res;






  }


    public static String trim(String str)
  {  String result;
  String res;
  res = "";
    int i;
  i = 1;
    while (( i < str.length() && (str.charAt(i - 1) + "").equals(" ") )) 
  { i = i + 1; }
    int j;
  j = str.length();
    while (j >= 1 && (str.charAt(j - 1) + "").equals(" ")) 
  { j = j - 1; }
     if (j < i) { res = ""; }
 else res = Set.subrange(str,i,j);
    return res;









  }



}


class Person2family
  implements SystemTypes
{

  public Person2family()
  {

  }



  public String toString()
  { String _res_ = "(Person2family) ";
    return _res_;
  }

  public static Person2family parseCSV(String _line)
  { if (_line == null) { return null; }
    Vector _line1vals = new Vector();
    StringTokenizer _st1 =
      new StringTokenizer(_line, ",");
    while (_st1.hasMoreTokens())
    { String _str = _st1.nextToken();
      if (_str != null) 
      { _line1vals.add(_str.trim()); }
    }
    Person2family person2familyx = new Person2family();
    return person2familyx;
  }


  public void writeCSV(PrintWriter _out)
  { Person2family person2familyx = this;
    _out.println();
  }


  


}


class Family2person
  implements SystemTypes
{

  public Family2person()
  {

  }



  public String toString()
  { String _res_ = "(Family2person) ";
    return _res_;
  }

  public static Family2person parseCSV(String _line)
  { if (_line == null) { return null; }
    Vector _line1vals = new Vector();
    StringTokenizer _st1 =
      new StringTokenizer(_line, ",");
    while (_st1.hasMoreTokens())
    { String _str = _st1.nextToken();
      if (_str != null) 
      { _line1vals.add(_str.trim()); }
    }
    Family2person family2personx = new Family2person();
    return family2personx;
  }


  public void writeCSV(PrintWriter _out)
  { Family2person family2personx = this;
    _out.println();
  }


  


}



public class Controller implements SystemTypes, ControllerInterface
{
  Vector familyregisters = new Vector();
  Vector familys = new Vector();
  Map familyidindex = new HashMap(); // String --> Family

  Vector familymembers = new Vector();
  Map familymembermemberIdindex = new HashMap(); // String --> FamilyMember

  Vector personregisters = new Vector();
  Vector persons = new Vector();
  Map personpersonIdindex = new HashMap(); // String --> Person

  Vector males = new Vector();
  Vector females = new Vector();
  Vector stringlibs = new Vector();
  Vector person2familys = new Vector();
  Vector family2persons = new Vector();
  private static Controller uniqueInstance; 

  static java.util.Map objectmap = new java.util.HashMap();
      
  private Controller() { } 


  public static Controller inst() 
    { if (uniqueInstance == null) 
    { uniqueInstance = new Controller(); }
    return uniqueInstance; } 


  public void initiateSynchronisationDialogue()
  { Controller c = Controller.inst(); 
    c.createFamilyRegister(); 
    c.createPersonRegister(); 
  } 

  public void performAndPropagateTargetEdit(String tfile)
  { Controller.loadModel(tfile); 
    Controller c = Controller.inst(); 
    c.person2family(); 
  } 

  public void performAndPropagateSourceEdit(String tfile)
  { Controller.loadModel(tfile); 
    Controller c = Controller.inst(); 
    c.family2person(); 
  } 

  public static void loadModel(String file)
  {
    try
    { BufferedReader br = null;
      File f = new File(file);
      try 
      { br = new BufferedReader(new FileReader(f)); }
      catch (Exception ex) 
      { System.err.println("No file: " + file); return; }
      Class cont = Class.forName("Controller");
      while (true)
      { String line1;
        try { line1 = br.readLine(); }
        catch (Exception e)
        { return; }
        if (line1 == null)
        { return; }
        line1 = line1.trim();

        if (line1.length() == 0) { continue; }
        String left;
        String op;
        String right;
        if (line1.charAt(line1.length() - 1) == '"')
        { int eqind = line1.indexOf("="); 
          if (eqind == -1) { continue; }
          else 
          { left = line1.substring(0,eqind-1).trim();
            op = "="; 
            right = line1.substring(eqind+1,line1.length()).trim();
          }
        }
        else
        { StringTokenizer st1 = new StringTokenizer(line1);
          Vector vals1 = new Vector();
          while (st1.hasMoreTokens())
          { String val1 = st1.nextToken();
            vals1.add(val1);
          }
          if (vals1.size() < 3)
          { continue; }
          left = (String) vals1.get(0);
          op = (String) vals1.get(1);
          right = (String) vals1.get(2);
        }
        if (":".equals(op))
        { int i2 = right.indexOf(".");
          if (i2 == -1)
          { Object old_x = objectmap.get(left); 
            if (old_x != null) { continue; } 
            Class cl;
            try { cl = Class.forName("" + right); }
            catch (Exception _x) { System.err.println("No entity: " + right); continue; }
            Object xinst = cl.newInstance();
            objectmap.put(left,xinst);
            Class[] cargs = new Class[] { cl };
            Method addC = null;
            try { addC = cont.getMethod("add" + right,cargs); }
            catch (Exception _xx) { System.err.println("No entity: " + right); continue; }
            if (addC == null) { continue; }
            Object[] args = new Object[] { xinst };
            addC.invoke(Controller.inst(),args);
          }
          else
          { String obj = right.substring(0,i2);
            String role = right.substring(i2+1,right.length());
            Object objinst = objectmap.get(obj); 
            if (objinst == null) 
            { continue; }
            Object val = objectmap.get(left);
            if (val == null) 
            { continue; }
            Class objC = objinst.getClass();
            Class typeclass = val.getClass(); 
            Object[] args = new Object[] { val }; 
            Class[] settypes = new Class[] { typeclass };
            Method addrole = Controller.findMethod(objC,"add" + role);
            if (addrole != null) 
            { addrole.invoke(objinst, args); }
            else { System.err.println("Error: cannot add to " + role); }
          }
        }
        else if ("=".equals(op))
        { int i1 = left.indexOf(".");
          if (i1 == -1) 
          { continue; }
          String obj = left.substring(0,i1);
          String att = left.substring(i1+1,left.length());
          Object objinst = objectmap.get(obj); 
          if (objinst == null) 
          { continue; }
          Class objC = objinst.getClass();
          Class typeclass; 
          Object val; 
          if (right.charAt(0) == '"' &&
              right.charAt(right.length() - 1) == '"')
          { typeclass = String.class;
            val = right.substring(1,right.length() - 1);
          } 
          else if ("true".equals(right) || "false".equals(right))
          { typeclass = boolean.class;
            if ("true".equals(right))
            { val = new Boolean(true); }
            else
            { val = new Boolean(false); }
          }
          else 
          { val = objectmap.get(right);
            if (val != null)
            { typeclass = val.getClass(); }
            else 
            { int i;
              long l; 
              double d;
              try 
              { i = Integer.parseInt(right);
                typeclass = int.class;
                val = new Integer(i); 
              }
              catch (Exception ee)
              { try 
                { l = Long.parseLong(right);
                  typeclass = long.class;
                  val = new Long(l); 
                }
                catch (Exception eee)
                { try
                  { d = Double.parseDouble(right);
                    typeclass = double.class;
                    val = new Double(d);
                  }
                  catch (Exception ff)
                  { continue; }
                }
              }
            }
          }
          Object[] args = new Object[] { val }; 
          Class[] settypes = new Class[] { typeclass };
          Method setatt = Controller.findMethod(objC,"set" + att);
          if (setatt != null) 
          { setatt.invoke(objinst, args); }
          else { System.err.println("No attribute: " + objC.getName() + "::" + att); }
        }
      }
    } catch (Exception e) { }
  }

  public static Method findMethod(Class c, String name)
  { Method[] mets = c.getMethods(); 
    for (int i = 0; i < mets.length; i++)
    { Method m = mets[i];
      if (m.getName().equals(name))
      { return m; }
    } 
    return null;
  }


  public static void loadCSVModel()
  { boolean __eof = false;
    String __s = "";
    Controller __cont = Controller.inst();
    BufferedReader __br = null;
    try
    { File _familyregister = new File("FamilyRegister.csv");
      __br = new BufferedReader(new FileReader(_familyregister));
      __eof = false;
      while (!__eof)
      { try { __s = __br.readLine(); }
        catch (IOException __e)
        { System.out.println("Reading failed.");
          return;
        }
        if (__s == null)
        { __eof = true; }
        else
        { FamilyRegister familyregisterx = FamilyRegister.parseCSV(__s.trim());
          if (familyregisterx != null)
          { __cont.addFamilyRegister(familyregisterx); }
        }
      }
    }
    catch(Exception __e) { }
    try
    { File _family = new File("Family.csv");
      __br = new BufferedReader(new FileReader(_family));
      __eof = false;
      while (!__eof)
      { try { __s = __br.readLine(); }
        catch (IOException __e)
        { System.out.println("Reading failed.");
          return;
        }
        if (__s == null)
        { __eof = true; }
        else
        { Family familyx = Family.parseCSV(__s.trim());
          if (familyx != null)
          { __cont.addFamily(familyx); }
        }
      }
    }
    catch(Exception __e) { }
    try
    { File _familymember = new File("FamilyMember.csv");
      __br = new BufferedReader(new FileReader(_familymember));
      __eof = false;
      while (!__eof)
      { try { __s = __br.readLine(); }
        catch (IOException __e)
        { System.out.println("Reading failed.");
          return;
        }
        if (__s == null)
        { __eof = true; }
        else
        { FamilyMember familymemberx = FamilyMember.parseCSV(__s.trim());
          if (familymemberx != null)
          { __cont.addFamilyMember(familymemberx); }
        }
      }
    }
    catch(Exception __e) { }
    try
    { File _personregister = new File("PersonRegister.csv");
      __br = new BufferedReader(new FileReader(_personregister));
      __eof = false;
      while (!__eof)
      { try { __s = __br.readLine(); }
        catch (IOException __e)
        { System.out.println("Reading failed.");
          return;
        }
        if (__s == null)
        { __eof = true; }
        else
        { PersonRegister personregisterx = PersonRegister.parseCSV(__s.trim());
          if (personregisterx != null)
          { __cont.addPersonRegister(personregisterx); }
        }
      }
    }
    catch(Exception __e) { }
    try
    { File _male = new File("Male.csv");
      __br = new BufferedReader(new FileReader(_male));
      __eof = false;
      while (!__eof)
      { try { __s = __br.readLine(); }
        catch (IOException __e)
        { System.out.println("Reading failed.");
          return;
        }
        if (__s == null)
        { __eof = true; }
        else
        { Male malex = Male.parseCSV(__s.trim());
          if (malex != null)
          { __cont.addMale(malex); }
        }
      }
    }
    catch(Exception __e) { }
    try
    { File _female = new File("Female.csv");
      __br = new BufferedReader(new FileReader(_female));
      __eof = false;
      while (!__eof)
      { try { __s = __br.readLine(); }
        catch (IOException __e)
        { System.out.println("Reading failed.");
          return;
        }
        if (__s == null)
        { __eof = true; }
        else
        { Female femalex = Female.parseCSV(__s.trim());
          if (femalex != null)
          { __cont.addFemale(femalex); }
        }
      }
    }
    catch(Exception __e) { }
    try
    { File _stringlib = new File("StringLib.csv");
      __br = new BufferedReader(new FileReader(_stringlib));
      __eof = false;
      while (!__eof)
      { try { __s = __br.readLine(); }
        catch (IOException __e)
        { System.out.println("Reading failed.");
          return;
        }
        if (__s == null)
        { __eof = true; }
        else
        { StringLib stringlibx = StringLib.parseCSV(__s.trim());
          if (stringlibx != null)
          { __cont.addStringLib(stringlibx); }
        }
      }
    }
    catch(Exception __e) { }
    try
    { File _person2family = new File("Person2family.csv");
      __br = new BufferedReader(new FileReader(_person2family));
      __eof = false;
      while (!__eof)
      { try { __s = __br.readLine(); }
        catch (IOException __e)
        { System.out.println("Reading failed.");
          return;
        }
        if (__s == null)
        { __eof = true; }
        else
        { Person2family person2familyx = Person2family.parseCSV(__s.trim());
          if (person2familyx != null)
          { __cont.addPerson2family(person2familyx); }
        }
      }
    }
    catch(Exception __e) { }
    try
    { File _family2person = new File("Family2person.csv");
      __br = new BufferedReader(new FileReader(_family2person));
      __eof = false;
      while (!__eof)
      { try { __s = __br.readLine(); }
        catch (IOException __e)
        { System.out.println("Reading failed.");
          return;
        }
        if (__s == null)
        { __eof = true; }
        else
        { Family2person family2personx = Family2person.parseCSV(__s.trim());
          if (family2personx != null)
          { __cont.addFamily2person(family2personx); }
        }
      }
    }
    catch(Exception __e) { }
  }


  public void checkCompleteness()
  {   for (int _i = 0; _i < familys.size(); _i++)
  { Family family_x = (Family) familys.get(_i);
    Family family_obj = (Family) familyidindex.get(family_x.getid());
    if (family_obj == family_x) { }
    else if (family_obj == null)
    { familyidindex.put(family_x.getid(),family_x); }
    else
    { System.out.println("Error: multiple objects with id = " + family_x.getid()); }
  }
  for (int _i = 0; _i < familymembers.size(); _i++)
  { FamilyMember familymember_x = (FamilyMember) familymembers.get(_i);
    FamilyMember familymember_obj = (FamilyMember) familymembermemberIdindex.get(familymember_x.getmemberId());
    if (familymember_obj == familymember_x) { }
    else if (familymember_obj == null)
    { familymembermemberIdindex.put(familymember_x.getmemberId(),familymember_x); }
    else
    { System.out.println("Error: multiple objects with memberId = " + familymember_x.getmemberId()); }
  }
  for (int _i = 0; _i < persons.size(); _i++)
  { Person person_x = (Person) persons.get(_i);
    Person person_obj = (Person) personpersonIdindex.get(person_x.getpersonId());
    if (person_obj == person_x) { }
    else if (person_obj == null)
    { personpersonIdindex.put(person_x.getpersonId(),person_x); }
    else
    { System.out.println("Error: multiple objects with personId = " + person_x.getpersonId()); }
  }
  }


  public void saveModel(String file)
  { File outfile = new File(file); 
    PrintWriter out; 
    try { out = new PrintWriter(new BufferedWriter(new FileWriter(outfile))); }
    catch (Exception e) { return; } 
  for (int _i = 0; _i < familyregisters.size(); _i++)
  { FamilyRegister familyregisterx_ = (FamilyRegister) familyregisters.get(_i);
    out.println("familyregisterx_" + _i + " : FamilyRegister");
  }

  for (int _i = 0; _i < familys.size(); _i++)
  { Family familyx_ = (Family) familys.get(_i);
    out.println("familyx_" + _i + " : Family");
    out.println("familyx_" + _i + ".name = \"" + familyx_.getname() + "\"");
    out.println("familyx_" + _i + ".id = \"" + familyx_.getid() + "\"");
  }

  for (int _i = 0; _i < familymembers.size(); _i++)
  { FamilyMember familymemberx_ = (FamilyMember) familymembers.get(_i);
    out.println("familymemberx_" + _i + " : FamilyMember");
    out.println("familymemberx_" + _i + ".name = \"" + familymemberx_.getname() + "\"");
    out.println("familymemberx_" + _i + ".memberId = \"" + familymemberx_.getmemberId() + "\"");
  }

  for (int _i = 0; _i < personregisters.size(); _i++)
  { PersonRegister personregisterx_ = (PersonRegister) personregisters.get(_i);
    out.println("personregisterx_" + _i + " : PersonRegister");
  }

  for (int _i = 0; _i < males.size(); _i++)
  { Male malex_ = (Male) males.get(_i);
    out.println("malex_" + _i + " : Male");
    out.println("malex_" + _i + ".name = \"" + malex_.getname() + "\"");
    out.println("malex_" + _i + ".familyId = \"" + malex_.getfamilyId() + "\"");
    out.println("malex_" + _i + ".birthday = " + malex_.getbirthday());
    out.println("malex_" + _i + ".personId = \"" + malex_.getpersonId() + "\"");
  }

  for (int _i = 0; _i < females.size(); _i++)
  { Female femalex_ = (Female) females.get(_i);
    out.println("femalex_" + _i + " : Female");
    out.println("femalex_" + _i + ".name = \"" + femalex_.getname() + "\"");
    out.println("femalex_" + _i + ".familyId = \"" + femalex_.getfamilyId() + "\"");
    out.println("femalex_" + _i + ".birthday = " + femalex_.getbirthday());
    out.println("femalex_" + _i + ".personId = \"" + femalex_.getpersonId() + "\"");
  }

  for (int _i = 0; _i < stringlibs.size(); _i++)
  { StringLib stringlibx_ = (StringLib) stringlibs.get(_i);
    out.println("stringlibx_" + _i + " : StringLib");
  }

  for (int _i = 0; _i < person2familys.size(); _i++)
  { Person2family person2familyx_ = (Person2family) person2familys.get(_i);
    out.println("person2familyx_" + _i + " : Person2family");
  }

  for (int _i = 0; _i < family2persons.size(); _i++)
  { Family2person family2personx_ = (Family2person) family2persons.get(_i);
    out.println("family2personx_" + _i + " : Family2person");
  }

  for (int _i = 0; _i < familyregisters.size(); _i++)
  { FamilyRegister familyregisterx_ = (FamilyRegister) familyregisters.get(_i);
    List familyregister_families_Family = familyregisterx_.getfamilies();
    for (int _j = 0; _j < familyregister_families_Family.size(); _j++)
    { out.println("familyx_" + familys.indexOf(familyregister_families_Family.get(_j)) + " : familyregisterx_" + _i + ".families");
    }
  }
  for (int _i = 0; _i < familys.size(); _i++)
  { Family familyx_ = (Family) familys.get(_i);
    List family_mother_FamilyMember = familyx_.getmother();
    for (int _j = 0; _j < family_mother_FamilyMember.size(); _j++)
    { out.println("familymemberx_" + familymembers.indexOf(family_mother_FamilyMember.get(_j)) + " : familyx_" + _i + ".mother");
    }
    List family_father_FamilyMember = familyx_.getfather();
    for (int _j = 0; _j < family_father_FamilyMember.size(); _j++)
    { out.println("familymemberx_" + familymembers.indexOf(family_father_FamilyMember.get(_j)) + " : familyx_" + _i + ".father");
    }
    List family_sons_FamilyMember = familyx_.getsons();
    for (int _j = 0; _j < family_sons_FamilyMember.size(); _j++)
    { out.println("familymemberx_" + familymembers.indexOf(family_sons_FamilyMember.get(_j)) + " : familyx_" + _i + ".sons");
    }
    List family_daughters_FamilyMember = familyx_.getdaughters();
    for (int _j = 0; _j < family_daughters_FamilyMember.size(); _j++)
    { out.println("familymemberx_" + familymembers.indexOf(family_daughters_FamilyMember.get(_j)) + " : familyx_" + _i + ".daughters");
    }
  }
  for (int _i = 0; _i < personregisters.size(); _i++)
  { PersonRegister personregisterx_ = (PersonRegister) personregisters.get(_i);
    List personregister_persons_Person = personregisterx_.getpersons();
    for (int _k = 0; _k < personregister_persons_Person.size(); _k++)
    { if (personregister_persons_Person.get(_k) instanceof Male)
      { out.println("malex_" + males.indexOf(personregister_persons_Person.get(_k)) + " : personregisterx_" + _i + ".persons"); }
 if (personregister_persons_Person.get(_k) instanceof Female)
      { out.println("femalex_" + females.indexOf(personregister_persons_Person.get(_k)) + " : personregisterx_" + _i + ".persons"); }
  }
  }
    out.close(); 
  }


  public void saveXSI(String file)
  { File outfile = new File(file); 
    PrintWriter out; 
    try { out = new PrintWriter(new BufferedWriter(new FileWriter(outfile))); }
    catch (Exception e) { return; } 
    out.println("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
    out.println("<My:model xmi:version=\"2.0\" xmlns:xmi=\"http://www.omg.org/XMI\">");
    for (int _i = 0; _i < familyregisters.size(); _i++)
    { FamilyRegister familyregisterx_ = (FamilyRegister) familyregisters.get(_i);
       out.print("<familyregisters xsi:type=\"My:FamilyRegister\"");
    out.print(" families = \"");
    List familyregister_families = familyregisterx_.getfamilies();
    for (int _j = 0; _j < familyregister_families.size(); _j++)
    { out.print(" //@familys." + familys.indexOf(familyregister_families.get(_j)));
    }
    out.print("\"");
    out.println(" />");
  }

    for (int _i = 0; _i < familys.size(); _i++)
    { Family familyx_ = (Family) familys.get(_i);
       out.print("<familys xsi:type=\"My:Family\"");
    out.print(" name=\"" + familyx_.getname() + "\" ");
    out.print(" id=\"" + familyx_.getid() + "\" ");
    out.print(" mother = \"");
    List family_mother = familyx_.getmother();
    for (int _j = 0; _j < family_mother.size(); _j++)
    { out.print(" //@familymembers." + familymembers.indexOf(family_mother.get(_j)));
    }
    out.print("\"");
    out.print(" father = \"");
    List family_father = familyx_.getfather();
    for (int _j = 0; _j < family_father.size(); _j++)
    { out.print(" //@familymembers." + familymembers.indexOf(family_father.get(_j)));
    }
    out.print("\"");
    out.print(" sons = \"");
    List family_sons = familyx_.getsons();
    for (int _j = 0; _j < family_sons.size(); _j++)
    { out.print(" //@familymembers." + familymembers.indexOf(family_sons.get(_j)));
    }
    out.print("\"");
    out.print(" daughters = \"");
    List family_daughters = familyx_.getdaughters();
    for (int _j = 0; _j < family_daughters.size(); _j++)
    { out.print(" //@familymembers." + familymembers.indexOf(family_daughters.get(_j)));
    }
    out.print("\"");
    out.println(" />");
  }

    for (int _i = 0; _i < familymembers.size(); _i++)
    { FamilyMember familymemberx_ = (FamilyMember) familymembers.get(_i);
       out.print("<familymembers xsi:type=\"My:FamilyMember\"");
    out.print(" name=\"" + familymemberx_.getname() + "\" ");
    out.print(" memberId=\"" + familymemberx_.getmemberId() + "\" ");
    out.println(" />");
  }

    for (int _i = 0; _i < personregisters.size(); _i++)
    { PersonRegister personregisterx_ = (PersonRegister) personregisters.get(_i);
       out.print("<personregisters xsi:type=\"My:PersonRegister\"");
    out.print(" persons = \"");
    List personregister_persons = personregisterx_.getpersons();
    for (int _k = 0; _k < personregister_persons.size(); _k++)
    {      if (personregister_persons.get(_k) instanceof Male)
      { out.print(" //@males." + males.indexOf(personregister_persons.get(_k)));
    }
 else      if (personregister_persons.get(_k) instanceof Female)
      { out.print(" //@females." + females.indexOf(personregister_persons.get(_k)));
    }
  }
    out.print("\"");
    out.println(" />");
  }

    for (int _i = 0; _i < males.size(); _i++)
    { Male malex_ = (Male) males.get(_i);
       out.print("<males xsi:type=\"My:Male\"");
    out.print(" name=\"" + malex_.getname() + "\" ");
    out.print(" familyId=\"" + malex_.getfamilyId() + "\" ");
    out.print(" birthday=\"" + malex_.getbirthday() + "\" ");
    out.print(" personId=\"" + malex_.getpersonId() + "\" ");
    out.println(" />");
  }

    for (int _i = 0; _i < females.size(); _i++)
    { Female femalex_ = (Female) females.get(_i);
       out.print("<females xsi:type=\"My:Female\"");
    out.print(" name=\"" + femalex_.getname() + "\" ");
    out.print(" familyId=\"" + femalex_.getfamilyId() + "\" ");
    out.print(" birthday=\"" + femalex_.getbirthday() + "\" ");
    out.print(" personId=\"" + femalex_.getpersonId() + "\" ");
    out.println(" />");
  }

    for (int _i = 0; _i < stringlibs.size(); _i++)
    { StringLib stringlibx_ = (StringLib) stringlibs.get(_i);
       out.print("<stringlibs xsi:type=\"My:StringLib\"");
    out.println(" />");
  }

    for (int _i = 0; _i < person2familys.size(); _i++)
    { Person2family person2familyx_ = (Person2family) person2familys.get(_i);
       out.print("<person2familys xsi:type=\"My:Person2family\"");
    out.println(" />");
  }

    for (int _i = 0; _i < family2persons.size(); _i++)
    { Family2person family2personx_ = (Family2person) family2persons.get(_i);
       out.print("<family2persons xsi:type=\"My:Family2person\"");
    out.println(" />");
  }

    out.println("</My:model>");
    out.close(); 
  }


  public void saveCSVModel()
  { try {
      File _familyregister = new File("FamilyRegister.csv");
      PrintWriter _out_familyregister = new PrintWriter(new BufferedWriter(new FileWriter(_familyregister)));
      for (int __i = 0; __i < familyregisters.size(); __i++)
      { FamilyRegister familyregisterx = (FamilyRegister) familyregisters.get(__i);
        familyregisterx.writeCSV(_out_familyregister);
      }
      _out_familyregister.close();
      File _family = new File("Family.csv");
      PrintWriter _out_family = new PrintWriter(new BufferedWriter(new FileWriter(_family)));
      for (int __i = 0; __i < familys.size(); __i++)
      { Family familyx = (Family) familys.get(__i);
        familyx.writeCSV(_out_family);
      }
      _out_family.close();
      File _familymember = new File("FamilyMember.csv");
      PrintWriter _out_familymember = new PrintWriter(new BufferedWriter(new FileWriter(_familymember)));
      for (int __i = 0; __i < familymembers.size(); __i++)
      { FamilyMember familymemberx = (FamilyMember) familymembers.get(__i);
        familymemberx.writeCSV(_out_familymember);
      }
      _out_familymember.close();
      File _personregister = new File("PersonRegister.csv");
      PrintWriter _out_personregister = new PrintWriter(new BufferedWriter(new FileWriter(_personregister)));
      for (int __i = 0; __i < personregisters.size(); __i++)
      { PersonRegister personregisterx = (PersonRegister) personregisters.get(__i);
        personregisterx.writeCSV(_out_personregister);
      }
      _out_personregister.close();
      File _male = new File("Male.csv");
      PrintWriter _out_male = new PrintWriter(new BufferedWriter(new FileWriter(_male)));
      for (int __i = 0; __i < males.size(); __i++)
      { Male malex = (Male) males.get(__i);
        malex.writeCSV(_out_male);
      }
      _out_male.close();
      File _female = new File("Female.csv");
      PrintWriter _out_female = new PrintWriter(new BufferedWriter(new FileWriter(_female)));
      for (int __i = 0; __i < females.size(); __i++)
      { Female femalex = (Female) females.get(__i);
        femalex.writeCSV(_out_female);
      }
      _out_female.close();
      File _stringlib = new File("StringLib.csv");
      PrintWriter _out_stringlib = new PrintWriter(new BufferedWriter(new FileWriter(_stringlib)));
      for (int __i = 0; __i < stringlibs.size(); __i++)
      { StringLib stringlibx = (StringLib) stringlibs.get(__i);
        stringlibx.writeCSV(_out_stringlib);
      }
      _out_stringlib.close();
      File _person2family = new File("Person2family.csv");
      PrintWriter _out_person2family = new PrintWriter(new BufferedWriter(new FileWriter(_person2family)));
      for (int __i = 0; __i < person2familys.size(); __i++)
      { Person2family person2familyx = (Person2family) person2familys.get(__i);
        person2familyx.writeCSV(_out_person2family);
      }
      _out_person2family.close();
      File _family2person = new File("Family2person.csv");
      PrintWriter _out_family2person = new PrintWriter(new BufferedWriter(new FileWriter(_family2person)));
      for (int __i = 0; __i < family2persons.size(); __i++)
      { Family2person family2personx = (Family2person) family2persons.get(__i);
        family2personx.writeCSV(_out_family2person);
      }
      _out_family2person.close();
    }
    catch(Exception __e) { }
  }



  public void addFamilyRegister(FamilyRegister oo) { familyregisters.add(oo); }

  public void addFamily(Family oo) { familys.add(oo); }

  public Family getFamilyByPK(String idx)
  {  return (Family) familyidindex.get(idx); }

  public List getFamilyByPK(List idx)
  { Vector res = new Vector(); 
    for (int _i = 0; _i < idx.size(); _i++)
    { Family familyx = getFamilyByPK((String) idx.get(_i));
      if (familyx != null) { res.add(familyx); }
    }
    return res; 
  }

  public void addFamilyMember(FamilyMember oo) { familymembers.add(oo); }

  public FamilyMember getFamilyMemberByPK(String memberIdx)
  {  return (FamilyMember) familymembermemberIdindex.get(memberIdx); }

  public List getFamilyMemberByPK(List memberIdx)
  { Vector res = new Vector(); 
    for (int _i = 0; _i < memberIdx.size(); _i++)
    { FamilyMember familymemberx = getFamilyMemberByPK((String) memberIdx.get(_i));
      if (familymemberx != null) { res.add(familymemberx); }
    }
    return res; 
  }

  public void addPersonRegister(PersonRegister oo) { personregisters.add(oo); }

  public void addPerson(Person oo) { persons.add(oo); }

  public Person getPersonByPK(String personIdx)
  {  return (Person) personpersonIdindex.get(personIdx); }

  public List getPersonByPK(List personIdx)
  { Vector res = new Vector(); 
    for (int _i = 0; _i < personIdx.size(); _i++)
    { Person personx = getPersonByPK((String) personIdx.get(_i));
      if (personx != null) { res.add(personx); }
    }
    return res; 
  }

  public void addMale(Male oo) { males.add(oo); addPerson(oo); }

  public Male getMaleByPK(String personIdx)
  { if (!(personpersonIdindex.get(personIdx) instanceof Male)) { return null; }
  return (Male) personpersonIdindex.get(personIdx); }

  public List getMaleByPK(List personIdx)
  { Vector res = new Vector(); 
    for (int _i = 0; _i < personIdx.size(); _i++)
    { Male malex = getMaleByPK((String) personIdx.get(_i));
      if (malex != null) { res.add(malex); }
    }
    return res; 
  }

  public void addFemale(Female oo) { females.add(oo); addPerson(oo); }

  public Female getFemaleByPK(String personIdx)
  { if (!(personpersonIdindex.get(personIdx) instanceof Female)) { return null; }
  return (Female) personpersonIdindex.get(personIdx); }

  public List getFemaleByPK(List personIdx)
  { Vector res = new Vector(); 
    for (int _i = 0; _i < personIdx.size(); _i++)
    { Female femalex = getFemaleByPK((String) personIdx.get(_i));
      if (femalex != null) { res.add(femalex); }
    }
    return res; 
  }

  public void addStringLib(StringLib oo) { stringlibs.add(oo); }

  public void addPerson2family(Person2family oo) { person2familys.add(oo); }

  public void addFamily2person(Family2person oo) { family2persons.add(oo); }



  public FamilyRegister createFamilyRegister()
  { FamilyRegister familyregisterx = new FamilyRegister();
    addFamilyRegister(familyregisterx);
    return familyregisterx;
  }

  public Family createFamily()
  { Family familyx = new Family();
    addFamily(familyx);
    return familyx;
  }

  public FamilyMember createFamilyMember()
  { FamilyMember familymemberx = new FamilyMember();
    addFamilyMember(familymemberx);
    return familymemberx;
  }

  public PersonRegister createPersonRegister()
  { PersonRegister personregisterx = new PersonRegister();
    addPersonRegister(personregisterx);
    return personregisterx;
  }

  public Male createMale()
  { Male malex = new Male();
    addMale(malex);
    return malex;
  }

  public Female createFemale()
  { Female femalex = new Female();
    addFemale(femalex);
    return femalex;
  }

  public StringLib createStringLib()
  { StringLib stringlibx = new StringLib();
    addStringLib(stringlibx);
    return stringlibx;
  }

  public Person2family createPerson2family()
  { Person2family person2familyx = new Person2family();
    addPerson2family(person2familyx);
    return person2familyx;
  }

  public Family2person createFamily2person()
  { Family2person family2personx = new Family2person();
    addFamily2person(family2personx);
    return family2personx;
  }


  public void setfamilies(FamilyRegister familyregisterx, List familiesxx) 
  {   List _oldfamiliesxx = familyregisterx.getfamilies();
  for (int _i = 0; _i < familiesxx.size(); _i++)
  { Family _xx = (Family) familiesxx.get(_i);
    if (_oldfamiliesxx.contains(_xx)) { }
    else { FamilyRegister.removeAllfamilies(familyregisters, _xx); }
  }
    familyregisterx.setfamilies(familiesxx);
      }


  public void addfamilies(FamilyRegister familyregisterx, Family familiesxx) 
  { if (familyregisterx.getfamilies().contains(familiesxx)) { return; }
    FamilyRegister.removeAllfamilies(familyregisters,familiesxx);
    familyregisterx.addfamilies(familiesxx);
   }


  public void removefamilies(FamilyRegister familyregisterx, Family familiesxx) 
  { familyregisterx.removefamilies(familiesxx);
    }


 public void unionfamilies(FamilyRegister familyregisterx, List familiesx)
  { for (int _i = 0; _i < familiesx.size(); _i++)
    { Family familyxfamilies = (Family) familiesx.get(_i);
      addfamilies(familyregisterx, familyxfamilies);
     } } 


 public void subtractfamilies(FamilyRegister familyregisterx, List familiesx)
  { for (int _i = 0; _i < familiesx.size(); _i++)
    { Family familyxfamilies = (Family) familiesx.get(_i);
      removefamilies(familyregisterx, familyxfamilies);
     } } 


public void setname(Family familyx, String name_x) 
  { familyx.setname(name_x);
    }


public void setid(Family familyx, String id_x) 
  { if (familyidindex.get(id_x) != null) { return; }
  familyidindex.remove(familyx.getid());
  familyx.setid(id_x);
  familyidindex.put(id_x,familyx);
    }


  public void setmother(Family familyx, List motherxx) 
  {   if (motherxx.size() > 1) { return; }
  List _oldmotherxx = familyx.getmother();
  for (int _i = 0; _i < motherxx.size(); _i++)
  { FamilyMember _xx = (FamilyMember) motherxx.get(_i);
    if (_oldmotherxx.contains(_xx)) { }
    else { Family.removeAllmother(familys, _xx); }
  }
    familyx.setmother(motherxx);
      }


  public void addmother(Family familyx, FamilyMember motherxx) 
  { if (familyx.getmother().contains(motherxx)) { return; }
      if (familyx.getmother().size() > 0)
    { FamilyMember familymember_xx = (FamilyMember) familyx.getmother().get(0);
      familyx.removemother(familymember_xx);
      }
    Family.removeAllmother(familys,motherxx);
    familyx.addmother(motherxx);
   }


  public void removemother(Family familyx, FamilyMember motherxx) 
  { familyx.removemother(motherxx);
    }


 public void unionmother(Family familyx, List motherx)
  { for (int _i = 0; _i < motherx.size(); _i++)
    { FamilyMember familymemberxmother = (FamilyMember) motherx.get(_i);
      addmother(familyx, familymemberxmother);
     } } 


 public void subtractmother(Family familyx, List motherx)
  { for (int _i = 0; _i < motherx.size(); _i++)
    { FamilyMember familymemberxmother = (FamilyMember) motherx.get(_i);
      removemother(familyx, familymemberxmother);
     } } 


  public void setfather(Family familyx, List fatherxx) 
  {   if (fatherxx.size() > 1) { return; }
  List _oldfatherxx = familyx.getfather();
  for (int _i = 0; _i < fatherxx.size(); _i++)
  { FamilyMember _xx = (FamilyMember) fatherxx.get(_i);
    if (_oldfatherxx.contains(_xx)) { }
    else { Family.removeAllfather(familys, _xx); }
  }
    familyx.setfather(fatherxx);
      }


  public void addfather(Family familyx, FamilyMember fatherxx) 
  { if (familyx.getfather().contains(fatherxx)) { return; }
      if (familyx.getfather().size() > 0)
    { FamilyMember familymember_xx = (FamilyMember) familyx.getfather().get(0);
      familyx.removefather(familymember_xx);
      }
    Family.removeAllfather(familys,fatherxx);
    familyx.addfather(fatherxx);
   }


  public void removefather(Family familyx, FamilyMember fatherxx) 
  { familyx.removefather(fatherxx);
    }


 public void unionfather(Family familyx, List fatherx)
  { for (int _i = 0; _i < fatherx.size(); _i++)
    { FamilyMember familymemberxfather = (FamilyMember) fatherx.get(_i);
      addfather(familyx, familymemberxfather);
     } } 


 public void subtractfather(Family familyx, List fatherx)
  { for (int _i = 0; _i < fatherx.size(); _i++)
    { FamilyMember familymemberxfather = (FamilyMember) fatherx.get(_i);
      removefather(familyx, familymemberxfather);
     } } 


  public void setsons(Family familyx, List sonsxx) 
  {   List _oldsonsxx = familyx.getsons();
  for (int _i = 0; _i < sonsxx.size(); _i++)
  { FamilyMember _xx = (FamilyMember) sonsxx.get(_i);
    if (_oldsonsxx.contains(_xx)) { }
    else { Family.removeAllsons(familys, _xx); }
  }
    familyx.setsons(sonsxx);
      }


  public void addsons(Family familyx, FamilyMember sonsxx) 
  { if (familyx.getsons().contains(sonsxx)) { return; }
    Family.removeAllsons(familys,sonsxx);
    familyx.addsons(sonsxx);
   }


  public void removesons(Family familyx, FamilyMember sonsxx) 
  { familyx.removesons(sonsxx);
    }


 public void unionsons(Family familyx, List sonsx)
  { for (int _i = 0; _i < sonsx.size(); _i++)
    { FamilyMember familymemberxsons = (FamilyMember) sonsx.get(_i);
      addsons(familyx, familymemberxsons);
     } } 


 public void subtractsons(Family familyx, List sonsx)
  { for (int _i = 0; _i < sonsx.size(); _i++)
    { FamilyMember familymemberxsons = (FamilyMember) sonsx.get(_i);
      removesons(familyx, familymemberxsons);
     } } 


  public void setdaughters(Family familyx, List daughtersxx) 
  {   List _olddaughtersxx = familyx.getdaughters();
  for (int _i = 0; _i < daughtersxx.size(); _i++)
  { FamilyMember _xx = (FamilyMember) daughtersxx.get(_i);
    if (_olddaughtersxx.contains(_xx)) { }
    else { Family.removeAlldaughters(familys, _xx); }
  }
    familyx.setdaughters(daughtersxx);
      }


  public void adddaughters(Family familyx, FamilyMember daughtersxx) 
  { if (familyx.getdaughters().contains(daughtersxx)) { return; }
    Family.removeAlldaughters(familys,daughtersxx);
    familyx.adddaughters(daughtersxx);
   }


  public void removedaughters(Family familyx, FamilyMember daughtersxx) 
  { familyx.removedaughters(daughtersxx);
    }


 public void uniondaughters(Family familyx, List daughtersx)
  { for (int _i = 0; _i < daughtersx.size(); _i++)
    { FamilyMember familymemberxdaughters = (FamilyMember) daughtersx.get(_i);
      adddaughters(familyx, familymemberxdaughters);
     } } 


 public void subtractdaughters(Family familyx, List daughtersx)
  { for (int _i = 0; _i < daughtersx.size(); _i++)
    { FamilyMember familymemberxdaughters = (FamilyMember) daughtersx.get(_i);
      removedaughters(familyx, familymemberxdaughters);
     } } 


public void setname(FamilyMember familymemberx, String name_x) 
  { familymemberx.setname(name_x);
    }


public void setmemberId(FamilyMember familymemberx, String memberId_x) 
  { if (familymembermemberIdindex.get(memberId_x) != null) { return; }
  familymembermemberIdindex.remove(familymemberx.getmemberId());
  familymemberx.setmemberId(memberId_x);
  familymembermemberIdindex.put(memberId_x,familymemberx);
    }


  public void setpersons(PersonRegister personregisterx, List personsxx) 
  {   List _oldpersonsxx = personregisterx.getpersons();
  for (int _i = 0; _i < personsxx.size(); _i++)
  { Person _xx = (Person) personsxx.get(_i);
    if (_oldpersonsxx.contains(_xx)) { }
    else { PersonRegister.removeAllpersons(personregisters, _xx); }
  }
    personregisterx.setpersons(personsxx);
      }


  public void addpersons(PersonRegister personregisterx, Person personsxx) 
  { if (personregisterx.getpersons().contains(personsxx)) { return; }
    PersonRegister.removeAllpersons(personregisters,personsxx);
    personregisterx.addpersons(personsxx);
   }


  public void removepersons(PersonRegister personregisterx, Person personsxx) 
  { personregisterx.removepersons(personsxx);
    }


 public void unionpersons(PersonRegister personregisterx, List personsx)
  { for (int _i = 0; _i < personsx.size(); _i++)
    { Person personxpersons = (Person) personsx.get(_i);
      addpersons(personregisterx, personxpersons);
     } } 


 public void subtractpersons(PersonRegister personregisterx, List personsx)
  { for (int _i = 0; _i < personsx.size(); _i++)
    { Person personxpersons = (Person) personsx.get(_i);
      removepersons(personregisterx, personxpersons);
     } } 


public void setname(Person personx, String name_x) 
  { personx.setname(name_x);
    }


public void setfamilyId(Person personx, String familyId_x) 
  { personx.setfamilyId(familyId_x);
    }


public void setbirthday(Person personx, int birthday_x) 
  { personx.setbirthday(birthday_x);
    }


public void setpersonId(Person personx, String personId_x) 
  { if (personpersonIdindex.get(personId_x) != null) { return; }
  personpersonIdindex.remove(personx.getpersonId());
  personx.setpersonId(personId_x);
  personpersonIdindex.put(personId_x,personx);
    }



  public void family2person3(FamilyRegister familyregisterx)
  {   familyregisterx.family2person3();
   }

  public void family2person1(Family familyx,FamilyMember m)
  {   familyx.family2person1(m);
   }

  public void family2person1outer(Family familyx)
  {   familyx.family2person1outer();
   }

  public void family2person2(Family familyx,FamilyMember m)
  {   familyx.family2person2(m);
   }

  public void family2person2outer(Family familyx)
  {   familyx.family2person2outer();
   }

  public void person2family5(PersonRegister personregisterx)
  {   personregisterx.person2family5();
   }

  public void person2family3(Male malex)
  {   malex.person2family3();
   }

  public void person2family4(Male malex,Family fam)
  {   malex.person2family4(fam);
   }

  public void person2family4outer(Male malex)
  {   malex.person2family4outer();
   }

  public void person2family1(Female femalex)
  {   femalex.person2family1();
   }

  public void person2family2(Female femalex,Family fam)
  {   femalex.person2family2(fam);
   }

  public void person2family2outer(Female femalex)
  {   femalex.person2family2outer();
   }



  public void killAllFamilyRegister(List familyregisterxx)
  { for (int _i = 0; _i < familyregisterxx.size(); _i++)
    { killFamilyRegister((FamilyRegister) familyregisterxx.get(_i)); }
  }

  public void killFamilyRegister(FamilyRegister familyregisterxx)
  { if (familyregisterxx == null) { return; }
   familyregisters.remove(familyregisterxx);
  }



  public void killAllFamily(List familyxx)
  { for (int _i = 0; _i < familyxx.size(); _i++)
    { killFamily((Family) familyxx.get(_i)); }
  }

  public void killFamily(Family familyxx)
  { if (familyxx == null) { return; }
   familys.remove(familyxx);
    Vector _1qrangefamiliesFamilyRegister = new Vector();
    _1qrangefamiliesFamilyRegister.addAll(familyregisters);
    for (int _i = 0; _i < _1qrangefamiliesFamilyRegister.size(); _i++)
    { FamilyRegister familyregisterx = (FamilyRegister) _1qrangefamiliesFamilyRegister.get(_i);
      if (familyregisterx != null && familyregisterx.getfamilies().contains(familyxx))
      { removefamilies(familyregisterx,familyxx); }
    }
    familyidindex.remove(familyxx.getid());
  }



  public void killAllFamilyMember(List familymemberxx)
  { for (int _i = 0; _i < familymemberxx.size(); _i++)
    { killFamilyMember((FamilyMember) familymemberxx.get(_i)); }
  }

  public void killFamilyMember(FamilyMember familymemberxx)
  { if (familymemberxx == null) { return; }
   familymembers.remove(familymemberxx);
    Vector _1qrangemotherFamily = new Vector();
    _1qrangemotherFamily.addAll(familys);
    for (int _i = 0; _i < _1qrangemotherFamily.size(); _i++)
    { Family familyx = (Family) _1qrangemotherFamily.get(_i);
      if (familyx != null && familyx.getmother().contains(familymemberxx))
      { removemother(familyx,familymemberxx); }
    }
    Vector _1qrangefatherFamily = new Vector();
    _1qrangefatherFamily.addAll(familys);
    for (int _i = 0; _i < _1qrangefatherFamily.size(); _i++)
    { Family familyx = (Family) _1qrangefatherFamily.get(_i);
      if (familyx != null && familyx.getfather().contains(familymemberxx))
      { removefather(familyx,familymemberxx); }
    }
    Vector _1qrangesonsFamily = new Vector();
    _1qrangesonsFamily.addAll(familys);
    for (int _i = 0; _i < _1qrangesonsFamily.size(); _i++)
    { Family familyx = (Family) _1qrangesonsFamily.get(_i);
      if (familyx != null && familyx.getsons().contains(familymemberxx))
      { removesons(familyx,familymemberxx); }
    }
    Vector _1qrangedaughtersFamily = new Vector();
    _1qrangedaughtersFamily.addAll(familys);
    for (int _i = 0; _i < _1qrangedaughtersFamily.size(); _i++)
    { Family familyx = (Family) _1qrangedaughtersFamily.get(_i);
      if (familyx != null && familyx.getdaughters().contains(familymemberxx))
      { removedaughters(familyx,familymemberxx); }
    }
    familymembermemberIdindex.remove(familymemberxx.getmemberId());
  }



  public void killAllPersonRegister(List personregisterxx)
  { for (int _i = 0; _i < personregisterxx.size(); _i++)
    { killPersonRegister((PersonRegister) personregisterxx.get(_i)); }
  }

  public void killPersonRegister(PersonRegister personregisterxx)
  { if (personregisterxx == null) { return; }
   personregisters.remove(personregisterxx);
  }



  public void killAllPerson(List personxx)
  { for (int _i = 0; _i < personxx.size(); _i++)
    { killPerson((Person) personxx.get(_i)); }
  }

  public void killPerson(Person personxx)
  { if (personxx == null) { return; }
   persons.remove(personxx);
    Vector _1qrangepersonsPersonRegister = new Vector();
    _1qrangepersonsPersonRegister.addAll(personregisters);
    for (int _i = 0; _i < _1qrangepersonsPersonRegister.size(); _i++)
    { PersonRegister personregisterx = (PersonRegister) _1qrangepersonsPersonRegister.get(_i);
      if (personregisterx != null && personregisterx.getpersons().contains(personxx))
      { removepersons(personregisterx,personxx); }
    }
    personpersonIdindex.remove(personxx.getpersonId());
  }

  public void killAbstractPerson(Person personxx)
  {
    if (personxx instanceof Male)
    { killMale((Male) personxx); }
    if (personxx instanceof Female)
    { killFemale((Female) personxx); }
  }

  public void killAbstractPerson(List _l)
  { for (int _i = 0; _i < _l.size(); _i++)
    { Person _e = (Person) _l.get(_i);
      killAbstractPerson(_e);
    }
  }



  public void killAllMale(List malexx)
  { for (int _i = 0; _i < malexx.size(); _i++)
    { killMale((Male) malexx.get(_i)); }
  }

  public void killMale(Male malexx)
  { if (malexx == null) { return; }
   males.remove(malexx);
  killPerson(malexx);
  }



  public void killAllFemale(List femalexx)
  { for (int _i = 0; _i < femalexx.size(); _i++)
    { killFemale((Female) femalexx.get(_i)); }
  }

  public void killFemale(Female femalexx)
  { if (femalexx == null) { return; }
   females.remove(femalexx);
  killPerson(femalexx);
  }



  public void killAllStringLib(List stringlibxx)
  { for (int _i = 0; _i < stringlibxx.size(); _i++)
    { killStringLib((StringLib) stringlibxx.get(_i)); }
  }

  public void killStringLib(StringLib stringlibxx)
  { if (stringlibxx == null) { return; }
   stringlibs.remove(stringlibxx);
  }



  public void killAllPerson2family(List person2familyxx)
  { for (int _i = 0; _i < person2familyxx.size(); _i++)
    { killPerson2family((Person2family) person2familyxx.get(_i)); }
  }

  public void killPerson2family(Person2family person2familyxx)
  { if (person2familyxx == null) { return; }
   person2familys.remove(person2familyxx);
  }



  public void killAllFamily2person(List family2personxx)
  { for (int _i = 0; _i < family2personxx.size(); _i++)
    { killFamily2person((Family2person) family2personxx.get(_i)); }
  }

  public void killFamily2person(Family2person family2personxx)
  { if (family2personxx == null) { return; }
   family2persons.remove(family2personxx);
  }




  
    public void person2family() 
  { 

    List _range15 = new Vector();
  _range15.addAll(Controller.inst().females);
  for (int _i14 = 0; _i14 < _range15.size(); _i14++)
  { Female loopvar_0 = (Female) _range15.get(_i14);
       Controller.inst().person2family1(loopvar_0);
  }
    List _range17 = new Vector();
  _range17.addAll(Controller.inst().females);
  for (int _i16 = 0; _i16 < _range17.size(); _i16++)
  { Female loopvar_1 = (Female) _range17.get(_i16);
       Controller.inst().person2family2outer(loopvar_1);
  }
    List _range19 = new Vector();
  _range19.addAll(Controller.inst().males);
  for (int _i18 = 0; _i18 < _range19.size(); _i18++)
  { Male loopvar_2 = (Male) _range19.get(_i18);
       Controller.inst().person2family3(loopvar_2);
  }
    List _range21 = new Vector();
  _range21.addAll(Controller.inst().males);
  for (int _i20 = 0; _i20 < _range21.size(); _i20++)
  { Male loopvar_3 = (Male) _range21.get(_i20);
       Controller.inst().person2family4outer(loopvar_3);
  }
    List _range23 = new Vector();
  _range23.addAll(Controller.inst().personregisters);
  for (int _i22 = 0; _i22 < _range23.size(); _i22++)
  { PersonRegister loopvar_4 = (PersonRegister) _range23.get(_i22);
       Controller.inst().person2family5(loopvar_4);
  }

  }



    public void family2person() 
  { 

    List _range25 = new Vector();
  _range25.addAll(Controller.inst().familys);
  for (int _i24 = 0; _i24 < _range25.size(); _i24++)
  { Family loopvar_5 = (Family) _range25.get(_i24);
       Controller.inst().family2person1outer(loopvar_5);
  }
    List _range27 = new Vector();
  _range27.addAll(Controller.inst().familys);
  for (int _i26 = 0; _i26 < _range27.size(); _i26++)
  { Family loopvar_6 = (Family) _range27.get(_i26);
       Controller.inst().family2person2outer(loopvar_6);
  }
    List _range29 = new Vector();
  _range29.addAll(Controller.inst().familyregisters);
  for (int _i28 = 0; _i28 < _range29.size(); _i28++)
  { FamilyRegister loopvar_7 = (FamilyRegister) _range29.get(_i28);
       Controller.inst().family2person3(loopvar_7);
  }

  }

  public static void main(String[] args) 
  { Controller.loadModel("in_target.txt"); 
    Controller c = Controller.inst();
    c.checkCompleteness();  
    c.performAndPropagateTargetEdit("targetdelta.txt"); 
    c.saveModel("out.txt"); 
  } 
 

  public void initiateSynchronisationDialogue()
  { Controller c = Controller.inst(); 
    FamilyRegister fr = c.createFamilyRegister(); 
    c.setfrId(fr, "1"); 
    PersonRegister pr = c.createPersonRegister();
    c.setprId(pr, "1");  
  } 

  public void performAndPropagateTargetEdit(String tfile)
  { Controller.loadModel(tfile); 
    Controller c = Controller.inst(); 
    c.person2family(); 
  } 

  public void performAndPropagateSourceEdit(String tfile)
  { Controller.loadModel(tfile); 
    Controller c = Controller.inst(); 
    c.family2person(); 
  } 

  public static void main(String[] args) 
  { Controller.loadModel("in_target.txt"); 
    Controller c = Controller.inst();
    c.checkCompleteness();  
    c.performAndPropagateTargetEdit("targetdelta.txt"); 
    c.saveModel("out.txt"); 
  } 

}



